Package: org.apache.groovy.ginq.dsl.expression

## [Java] Class GinqExpression

- org.apache.groovy.ginq.dsl.expression.GinqExpression

-     public class GinqExpression
      extends AbstractGinqExpression

  Represents GINQ expression, which has the following structure:

           ginq
           |__ from
           |__ [innerjoin/leftjoin/rightjoin/fulljoin/crossjoin]*
           |   |__ on
           |__ [where]
           |__ [groupby]
           |   |__ [having]
           |__ [orderby]
           |__ [limit]
           |__ select

  (Note: [ ] means optional)
  Since:
    4.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<R>` | `public R` | `accept(GinqAstVisitor<R> visitor)`
    `` | `public void` | `addJoinExpression(JoinExpression joinExpression)`
    `` | `public FromExpression` | `getFromExpression()`
    `` | `public GroupExpression` | `getGroupExpression()`
    `` | `public List<JoinExpression>` | `getJoinExpressionList()`
    `` | `public LimitExpression` | `getLimitExpression()`
    `` | `public OrderExpression` | `getOrderExpression()`
    `` | `public SelectExpression` | `getSelectExpression()`
    `` | `public String` | `getText()`
    `` | `public WhereExpression` | `getWhereExpression()`
    `` | `public void` | `setFromExpression(FromExpression fromExpression)`
    `` | `public void` | `setGroupExpression(GroupExpression groupExpression)`
    `` | `public void` | `setLimitExpression(LimitExpression limitExpression)`
    `` | `public void` | `setOrderExpression(OrderExpression orderExpression)`
    `` | `public void` | `setSelectExpression(SelectExpression selectExpression)`
    `` | `public void` | `setWhereExpression(WhereExpression whereExpression)`
    `` | `public String` | `toString()`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGinqExpression` | `accept, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Method Detail

    - #### <R> @Override public R accept(GinqAstVisitor<R> visitor)

    - #### public void addJoinExpression(JoinExpression joinExpression)

    - #### public FromExpression getFromExpression()

    - #### public GroupExpression getGroupExpression()

    - #### public List<JoinExpression> getJoinExpressionList()

    - #### public LimitExpression getLimitExpression()

    - #### public OrderExpression getOrderExpression()

    - #### public SelectExpression getSelectExpression()

    - #### @Override public String getText()

    - #### public WhereExpression getWhereExpression()

    - #### public void setFromExpression(FromExpression fromExpression)

    - #### public void setGroupExpression(GroupExpression groupExpression)

    - #### public void setLimitExpression(LimitExpression limitExpression)

    - #### public void setOrderExpression(OrderExpression orderExpression)

    - #### public void setSelectExpression(SelectExpression selectExpression)

    - #### public void setWhereExpression(WhereExpression whereExpression)

    - #### @Override public String toString()

    - #### @Override public void visit(GroovyCodeVisitor visitor)